Delete Task
DELETEhttps://api.confident-ai.com/v2/datasets/{datasetId}/dataset-ingestion-tasks/{datasetIngestionTaskId}
Permanently deletes an ingestion task and unschedules its harvesting job. Goldens it already created stay in the dataset. This action cannot be undone.
curl -X DELETE "https://api.confident-ai.com/v2/datasets/{datasetId}/dataset-ingestion-tasks/{datasetIngestionTaskId}" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"id": "<DATASET-INGESTION-TASK-ID>"
},
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
datasetIdstringRequiredThe unique id of the dataset.
datasetIngestionTaskIdstringRequiredThe unique id of the ingestion task.
Response
Delete Task succeeded.
successbooleanIndicates if the request was successful.
dataobjectShow 1 propertyHide 1 property
idstringThe unique id of the ingestion task.
deprecatedbooleanIndicates if this endpoint is deprecated.